/* ------------------------------
- 変数 
------------------------------ */
:root {
    --feature-color-key: #E60012; /* キーカラーはこちらから変更可能です */
    --feature-color-white: #FFFFFF;
    --feature-color-black: #1F1F1F;
    --feature-color-gray: #595959;
    --feature-color-light-gray: #B9B9B9;
	--feature-main-max-width: 1200px;
    --feature-ease-custom-out: cubic-bezier(0.14, 1, 0.34, 1);
}

/* ------------------------------
- メインコンテンツ 
------------------------------ */
#main {
    overflow: hidden;
}

#feature_main {
    width: 100%;
    padding-bottom: 120px;
}

#feature_main * {
    box-sizing: border-box;
}

/* ---------- ベーススタイル ---------- */
#feature_main div,
#feature_main h1,
#feature_main h2,
#feature_main h3,
#feature_main h4,
#feature_main h5,
#feature_main h6,
#feature_main input,
#feature_main ol,
#feature_main p,
#feature_main pre,
#feature_main td,
#feature_main textarea,
#feature_main th,
#feature_main ul {
    font-family: 'Inter', sans-serif !important;
}

#feature_main p:not([class]) {
	font-size: 15px;
	line-height: 1.75;
	letter-spacing: 0.03em;
	color: var(--feature-color-black);
    font-feature-settings: 'palt' on;
}

/* ------------------------------
- キービジュアル 
------------------------------ */
#feature_main .feature_kv {
    position: relative;
    display: flex;
    justify-content: center;
    width: 100vw;
    min-width: calc(1178px + 31px * 2);
    margin: 0 calc(50% - 50vw);
}

@media (max-width: 1240px) {
    #feature_main .feature_kv {
        margin: 0 -31px;
    }
}

#feature_main figure.feature_kv_thumb {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    overflow: hidden;
}

#feature_main figure.feature_kv_thumb img {
    width: 100%;
    min-width: 1440px;
    height: auto;
}

#feature_main img.feature_kv_img_pc {
    display: block;
}

#feature_main img.feature_kv_img_sp {
    display: none;
}

#feature_main .feature_kv_logo {
    position: absolute;
    bottom: 0;
    right: 0;
    aspect-ratio: 316 / 261;
    width: 316px;
    height: 261px;
    transform: translate(-120px, 162px);
}

#feature_main .feature_kv_logo svg {
    fill: var(--feature-color-key);
}

/* ------------------------------
- コンテンツ 
------------------------------ */
#feature_main .feature_contents {
    width: 100%;
    margin-top: 96px;
    text-align: left;
}

/* ---------- コンテンツ 説明文 ---------- */
#feature_main .feature_contents_desc {
    width: 50%;
    font-size: 15px;
	line-height: 1.75;
	letter-spacing: 0.03em;
	color: var(--feature-color-black);
    font-feature-settings: 'palt' on;
}

/* ---------- コンテンツ 本文 ---------- */
#feature_main .feature_contents_body {
    display: flex;
    flex-direction: column;
    gap: 80px;
    margin-top: 120px;
}

/* ---------- プレーン要素 ---------- */
#feature_main .feature_plane_elements {
    display: flex;
    flex-direction: column;
    gap: 80px;
    width: 100%;
    max-width: 960px;
    margin: 0 auto;
    text-align: left;
}

/* H2, H3, H4 */
#feature_main .feature_plane_elements h2:not([class]),
#feature_main .feature_plane_elements h3:not([class]),
#feature_main .feature_plane_elements h4:not([class]) {
    text-align: left !important;
    font-weight: 700 !important;
    margin: 0 !important;
    padding: 0 !important;
    border-top: none !important;
    border-right: none !important;
    border-bottom: none !important;
    border-left: none !important;
    background: none !important;
    line-height: 1.35 !important;
    letter-spacing: 0.05em !important;
    color: var(--feature-color-black) !important;
    font-family: 'Inter', sans-serif !important;
    font-feature-settings: 'palt' on;
    width: calc(100% + 15%);
    transform: scale(0.85, 1);
    transform-origin: left top;
}

/* H2 */
#feature_main .feature_plane_elements h2:not([class]) {
    font-size: 40px !important;
}

/* H3 */
#feature_main .feature_plane_elements h3:not([class]) {
    font-size: 38px !important;
}

/* H4 */
#feature_main .feature_plane_elements h4:not([class]) {
    font-size: 28px !important;
}

/* paragraph */
#feature_main .feature_plane_elements p:not([class]) {
    font-size: 15px;
	line-height: 1.75;
	letter-spacing: 0.03em;
	color: var(--feature-color-black);
    font-feature-settings: 'palt' on;
}

#feature_main .feature_plane_elements h2:not([class]) + p:not([class]),
#feature_main .feature_plane_elements h3:not([class]) + p:not([class]),
#feature_main .feature_plane_elements h4:not([class]) + p:not([class]) {
    margin-top: -48px;
}

/* figure */
#feature_main .feature_plane_elements figure:not([class]) {
    width: 100%;
    height: auto;
}
#feature_main .feature_plane_elements figure:not([class]) img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

/* ---------- 商品カード 1カラム表示、2カラム表示、3カラム表示 ---------- */

/* ---------- 商品リスト 1カラム表示 ---------- */
#feature_main .feature_product_col_1 {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
}

/* ---------- 商品リスト 2カラム表示、3カラム表示 ---------- */
#feature_main .feature_product_col_2,
#feature_main .feature_product_col_3 {
    display: flex;
    gap: 40px;
    list-style: none;
    padding: 0;
    margin: 0;
}

/* 商品リストアイテム */
#feature_main .feature_product_item {
    width: 100%;
    list-style: none;
}

/* ---------- 商品カード ---------- */
#feature_main .feature_product_card {
    display: block;
    width: 100%;
    height: 100%;
}

#feature_main .feature_product_link {
    display: block;
    width: 100%;
    height: 100%;
    color: var(--feature-color-black);
    outline: 0px solid var(--feature-color-key);
    transition: all 0.5s var(--feature-ease-custom-out);
}

@media (hover: hover) and (pointer: fine) {
    #feature_main .feature_product_link:hover {
        opacity: 1;
        text-decoration: none;
        outline: 12px solid var(--feature-color-key);
        outline-offset: -12px;
    }

    #feature_main .feature_product_link:hover img.feature_product_img {
        opacity: 1;
        transform: scale(1.05);
    }

    #feature_main .feature_product_link:hover .feature_product_btn {
        background-color: var(--feature-color-key);
        transform: scale(1.05);
    }
}

#feature_main figure.feature_product_thumb {
    aspect-ratio: 580 / 326;
    width: 100%;
    overflow: hidden;
}

#feature_main img.feature_product_img {
    position: relative;
    z-index: -1;
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#feature_main .feature_product_meta {
    padding: 24px 32px 48px;
}

#feature_main p.feature_product_copy {
    font-size: 16px;
    font-weight: 700;
    letter-spacing: 0.03em;
    line-height: 1.4;
    color: var(--feature-color-black);
    font-feature-settings: 'palt' on;
    width: calc(100% + 15%);
    transform: scale(0.85, 1);
    transform-origin: left top;
}

#feature_main h3.feature_product_title {
    font-size: 28px !important;
    text-align: left !important;
    font-weight: 700 !important;
    margin: 8px 0 0 0 !important;
    padding: 0 !important;
    border-top: none !important;
    border-right: none !important;
    border-bottom: none !important;
    border-left: none !important;
    background: none !important;
    line-height: 1.4 !important;
    letter-spacing: 0.03em !important;
    color: var(--feature-color-black) !important;
    font-family: 'Inter', sans-serif !important;
    font-feature-settings: 'palt' on;
    width: calc(100% + 15%);
    transform: scale(0.85, 1);
    transform-origin: left top;
}

#feature_main p.feature_product_desc {
    font-size: 15px;
	line-height: 1.75;
	letter-spacing: 0.03em;
    margin-top: 12px;
}

#feature_main p.feature_product_price {
    font-size: 15px;
	line-height: 1.75;
	letter-spacing: 0.03em;
    margin-top: 12px;
}

#feature_main .feature_product_btn {
    width: 260px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--feature-color-black);
    border-radius: 22px;
    padding: 16px 24px;
    transition: all 0.5s var(--feature-ease-custom-out);
    margin: 24px auto 0;
    transform-origin: center center;
}

#feature_main .feature_product_btn_text {
    font-size: 20px;
    font-weight: 700;
    letter-spacing: 0.05em;
    line-height: 1.4;
    text-align: center;
    color: var(--feature-color-white);
    font-family: 'Inter', sans-serif;
    font-feature-settings: 'palt' on;
    width: calc(100% + 15%);
    transform: scale(0.85, 1);
    transform-origin: center center;
}

/* ---------- 商品カード 1カラム表示 ---------- */
#feature_main .feature_product_col_1 .feature_product_link {
    display: flex;
    align-items: center;
}

#feature_main .feature_product_col_1 figure.feature_product_thumb,
#feature_main .feature_product_col_1 .feature_product_meta {
    flex: 1;
}

#feature_main .feature_product_col_1 .feature_product_meta {
    padding: 0 64px;
}

#feature_main .feature_product_col_1 figure.feature_product_thumb {
    aspect-ratio: 1 / 1;
}

#feature_main .feature_product_col_1 img.feature_product_img {
    width: 100%;
    height: 100% !important;
}

#feature_main .feature_product_col_1 .feature_product_meta {
    margin-top: 0;
}

#feature_main .feature_product_col_1 h3.feature_product_title {
    font-size: 40px !important;
    margin: 24px 0 0 0 !important;
}

#feature_main .feature_product_col_1 p.feature_product_desc {
    margin-top: 24px;
}

#feature_main .feature_product_col_1 p.feature_product_price {
    margin-top: 24px;
}

#feature_main .feature_product_col_1 .feature_product_btn {
    margin: 40px 0 0 0;
}

/* ------------------------------
- 商品 全表示 
------------------------------ */
#feature_main .feature_product_all {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 80px;
    margin-top: 120px;
}

#feature_main .feature_product_all img.feature_product_all_img {
    width: 100%;
    height: auto;
}

#feature_main .feature_product_all img.feature_product_all_img_pc {
    display: block;
}

#feature_main .feature_product_all img.feature_product_all_img_sp {
    display: none;
}

/* ------------------------------
- 特集一覧 
------------------------------ */
#feature_main .feature_list {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 80px;
    margin-top: 120px;
}

#feature_main .feature_list_items {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 40px 64px;
}

#feature_main .feature_list_item {
    position: relative;
    grid-column: span 1;
}

#feature_main .feature_list_card {
    display: block;
    width: 100%;
    height: 100%;
}

#feature_main .feature_list_link {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
}

@media (hover: hover) and (pointer: fine) {
    #feature_main .feature_list_link:hover {
        opacity: 1;
        text-decoration: none;
    }

    #feature_main .feature_list_link:hover img {
        opacity: 1;
    }

    #feature_main .feature_list_link:hover img.feature_list_arrow {
        transform: translate(50%, -50%) scale(1);
        opacity: 1;
    }
}

#feature_main figure.feature_list_thumb {
    width: 100%;
    height: auto;
    overflow: hidden;
}

#feature_main img.feature_list_img {
    width: 100%;
    height: auto;
    object-fit: cover;
    object-position: center;
}

#feature_main .feature_list_meta {
    margin-top: 16px;
    text-align: left;
}

#feature_main h3.feature_list_title {
    font-size: 20px !important;
    text-align: left !important;
    font-weight: 700 !important;
    margin: 8px 0 0 0 !important;
    padding: 0 !important;
    border-top: none !important;
    border-right: none !important;
    border-bottom: none !important;
    border-left: none !important;
    background: none !important;
    line-height: 1.4 !important;
    letter-spacing: 0.03em !important;
    color: var(--feature-color-black) !important;
    font-family: 'Inter', sans-serif !important;
    font-feature-settings: 'palt' on;
    width: calc(100% + 15%);
    transform: scale(0.85, 1);
    transform-origin: left top;
}

#feature_main p.feature_list_date {
    font-size: 13px;
    line-height: 1.3;
    letter-spacing: 0.03em;
    margin-top: 8px;
    color: var(--feature-color-gray);
}

#feature_main img.feature_list_arrow {
    position: absolute;
    top: 0;
    right: 0;
    width: 62px;
    height: 62px;
    mix-blend-mode: exclusion;
    transform: translate(50%, -50%) scale(0);
    z-index: 30;
    opacity: 0;
    transition: all 0.5s var(--feature-ease-custom-out);
}

/* ---------- インビュー要素（.js_feature_inview） ---------- */
/* fadeIn */
#feature_main .js_feature_inview[data-type='fadeIn'] {
    display: block;
    opacity: 0;
}

/* fadeInGroup */
#feature_main .js_feature_inview[data-type='fadeInGroup'] .js_feature_inview_children {
    display: block;
    opacity: 0;
}

/* splitText */
#feature_main .js_feature_inview[data-type='splitText'] {
    display: block;
    opacity: 0;
}

/* splitText span */
#feature_main .js_feature_inview[data-type='splitText'] span {
    display: block;
    opacity: 0;
}

/* splitText span span */
#feature_main .js_feature_inview[data-type='splitText'] span span {
    display: inline-block;
    vertical-align: top;
    line-height: inherit;
    overflow: hidden;
}

/* splitText span span span */
#feature_main .js_feature_inview[data-type='splitText'] span span span {
    display: inline-block;
    vertical-align: top;
    line-height: inherit;
    overflow: hidden;
}

/* coverImg */
#feature_main .js_feature_inview[data-type='coverImg'] {
    overflow: hidden;
    position: relative;
    display: block;
}

/* coverImg cover */
#feature_main .js_feature_inview[data-type='coverImg'] .js_feature_inview_cover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--feature-color-key);
    z-index: 20;
}

/* coverImg coverimg */
#feature_main .js_feature_inview[data-type='coverImg'] .js_feature_inview_coverimg {
    display: block;
    width: 100%;
    height: auto;
    transform: scale(1.05);
    filter: blur(10px);
    transform-origin: center;
    will-change: transform, filter;
}

/* line */
#feature_main .js_feature_inview[data-type='line'] {
    transform: scaleX(0);
}

/* line center */
#feature_main .js_feature_inview[data-type='line'][data-origin='center'] {
    transform-origin: center;
}

/* line left */
#feature_main .js_feature_inview[data-type='line'][data-origin='left'] {
    transform-origin: left;
}